petsc-3.4.2 2013-07-02

# MatSetBlockSize

Sets the matrix block size.

### Synopsis

    #include "petscmat.h"
    PetscErrorCode  MatSetBlockSize(Mat mat,PetscInt bs)

Logically Collective on Mat

### Input Parameters

| mat | - the matrix
| bs | - block size

### Notes

This must be called before MatSetUp() or MatXXXSetPreallocation() (or will default to 1) and the block size cannot be changed later

### See Also

MatCreateSeqBAIJ(), MatCreateBAIJ(), MatGetBlockSize()

Level:intermediate
Location:src/mat/interface/matrix.c
Index of all Mat routines
Table of Contents for all manual pages
Index of all manual pages

### Examples

src/ksp/ksp/examples/tutorials/ex55.c.html
src/ksp/ksp/examples/tutorials/ex56.c.html